Summary: Arcade 2D shoot-them-up game
Name: powermanga
Version: 0.91
Release: 1
License: GPLv3+
Group: Amusements/Games
URL: http://linux.tlk.fr/games/Powermanga/
Source0: http://linux.tlk.fr/games/Powermanga/download/%{name}-%{version}.tgz
Source1: %{name}.png
Source2: %{name}.desktop
Patch0: %{name}-%{version}-aix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: libpng-devel >= 1.2.46-1
BuildRequires: SDL-devel >= 1.2.14-3
BuildRequires: SDL_mixer-devel >= 1.2.11-1

Requires: libpng >= 1.2.46-1
Requires: SDL >= 1.2.14-3
Requires: SDL_mixer >= 1.2.11-1

%description
Powermanga is a vertical scrolling arcade style 2D shoot-them-up game with
41 levels and more than 200 sprites.


%prep
%setup -q
%patch0
./bootstrap


%build
export CC="xlc_r"

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir}

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

# install pixmap for the menu entry
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/48x48/apps
cp %{SOURCE1} ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
chmod 0644 ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/48x48/apps/%{name}.png

# install menu entry
%{__mkdir_p} ${RPM_BUILD_ROOT}/etc/X11/applnk/Applications
cp %{SOURCE2} ${RPM_BUILD_ROOT}/etc/X11/applnk/Applications/
chmod 0644 ${RPM_BUILD_ROOT}/etc/X11/applnk/Applications/*

# default to English
echo "Lang=en" > ${RPM_BUILD_ROOT}%{_datadir}/games/%{name}/texts/config.ini

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%post
touch -c %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
    %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
touch -c %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
    %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS CHANGES COPYING README
%attr(2755,root,system) %{_bindir}/%{name}
/etc/X11/applnk/Applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%dir %{_datadir}/games/%{name}
%{_datadir}/games/%{name}/data
%{_datadir}/games/%{name}/graphics
%{_datadir}/games/%{name}/sound
%{_datadir}/games/%{name}/sounds
%dir %{_datadir}/games/%{name}/texts/
%{_datadir}/games/%{name}/texts/*.txt
%config(noreplace) %{_datadir}/games/%{name}/texts/config.ini
%{_mandir}/man6/%{name}.6*
%dir /var/games/%{name}
%config(noreplace) %attr(664,root,system) /var/games/%{name}/%{name}.hi
%config(noreplace) %attr(664,root,system) /var/games/%{name}/%{name}.hi-easy
%config(noreplace) %attr(664,root,system) /var/games/%{name}/%{name}.hi-hard


%changelog
* Mon Aug 27 2012 Michael Perzl <michael@perzl.org> - 0.91-1
- first version for AIX V5.1 and higher
